<ion-header *ngIf="show">
  <ion-toolbar>
    <ion-buttons slot="end" *ngIf="page === 'home'">
      <ion-button routerLink="settings">
        <ion-icon name="settings"></ion-icon>
      </ion-button>
    </ion-buttons>
    <ion-buttons slot="start">
      <ion-menu-button
        auto-hide="false"
        id="main-content"
        (click)="openMenu()"
      ></ion-menu-button>
    </ion-buttons>
    <ion-title
      [ngClass]="{'ion-text-center': page == 'home', 'title': page == 'home'}"
    >
      <ion-label [ngStyle]="{'font-size': page == 'home' ? '15px' : '18px'}"
        >{{ title }}
      </ion-label>
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-menu contentId="main-content" *ngIf="page !== 'product'">
  <ion-content>
    <ion-list>
      <ion-menu-toggle>
        <ion-list-header class="ion-margin-horizontal ion-text-center">
          <ion-label
            color="warning"
            style="
              font-size: 2.5rem;
              font-family: BioRhyme, serif;
              font-weight: bolder;
            "
          >
            {{ menu.title }}
          </ion-label>
        </ion-list-header>
      </ion-menu-toggle>

      <div class="social" class="ion-text-center">
        <ng-container *ngFor="let social of menu.socials">
          <ion-icon
            style="font-size: 1.5rem; cursor: pointer"
            class="ion-padding-horizontal ion-padding-bottom"
            [name]="social.icon"
            (click)="openUrl(social.url)"
          ></ion-icon>
        </ng-container>
      </div>

      <ng-container *ngFor="let section of menu.sections">
        <ng-container *ngIf="section.show">
          <ion-item-divider class="ion-no-padding">
            <ion-label
              class="ion-no-padding ion-no-margin ion-padding-horizontal"
            >
              {{ section.label }}
            </ion-label>
          </ion-item-divider>
          <ion-menu-toggle auto-hide="false" *ngFor="let page of section.pages">
            <ion-item
              routerDirection="root"
              (click)="onItemClick(page)"
              lines="none"
              detail="false"
              [class.selected]="selectedPage == page.url"
              *ngIf="page.show"
            >
              <ion-icon slot="start" [name]="page.icon + '-outline'"></ion-icon>
              <ion-label>{{ page.title }}</ion-label>
            </ion-item>
          </ion-menu-toggle>
        </ng-container>
      </ng-container>
      <ion-menu-toggle *ngIf="!isInMobile">
        <ion-item
          lines="none"
          detail="false"
          href="https://www.facebook.com/sharer/sharer.php?u=https://cruzine.cafe"
          target="_blank"
        >
          <ion-icon slot="start" name="logo-facebook"></ion-icon>
          <ion-label>Share on Facebook</ion-label>
        </ion-item>
      </ion-menu-toggle>
      <ion-menu-toggle *ngIf="isInMobile">
        <ion-item lines="none" detail="false" (click)="shareWebsite()">
          <ion-icon slot="start" name="share-outline"></ion-icon>
          <ion-label>Share Website</ion-label>
        </ion-item>
      </ion-menu-toggle>
    </ion-list>
  </ion-content>
</ion-menu>
